IrfanView の JPEG 2000 プラグインにおけるバッファオーバーフローの脆弱性(Scan Tech Report) | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2017.11.23(木)

IrfanView の JPEG 2000 プラグインにおけるバッファオーバーフローの脆弱性(Scan Tech Report)

脆弱性と脅威 エクスプロイト

1.概要
IrfanView の JPEG 2000 プラグインにバッファオーバーフローを引き起こしてしまう脆弱性が報告されました。
ユーザが IrfanView で悪質な JP2 ファイルを閲覧した場合、リモートの第三者によってシステム上で不正な操作が実行される可能性があります。
影響を受けるバージョンの IrfanView PlugIns を利用する環境では、重大な影響を受ける可能性があるため、対象のユーザは可能な限り以下に記載する対策を実施することを推奨します。


2.深刻度(CVSS)
6.8
http://nvd.nist.gov/cvss.cfm?version=2&name=CVE-2012-0897&vector=%28AV%3AN/AC%3AM/Au%3AN/C%3AP/I%3AP/A%3AP%29


3.影響を受けるソフトウェア ※
IrfanView PlugIns 4.32 以前


4.解説
IrfanView は、複数のプラグイン (IrfanView PlugIns) を利用して幅広い画像フォーマットや音声形式に対応可能なマルチメディアビューアです。プラグインの 1 つである JPEG 2000 プラグイン (JPEG2000.dll) を利用することで、JPEG 2000 形式の画像 (JP2) ファイルを処理することが可能となります。

この IrfanView PlugIns の JPEG2000.dll には、IrfanView を介して JP2 ファイルを処理する際の Quantization Default (QCD) マーカセグメントの取り扱いに不備があります。
このため、IrfanView で QCD マーカセグメントに不正なデータを指定した JP2 ファイルを処理した場合に、スタックオーバーフローが発生する脆弱性が存在します。

この脆弱性を利用することで、リモートの攻撃者は IrfanView を実行するユーザの権限で任意のコード実行が可能となります。

なお、IrfanView で JPEG2000.dll を利用する環境のみが、この脆弱性の影響を受けます。既定では、IrfanView に当該プラグインは同梱されていません。


5.対策
以下の Web サイトより、IrfanView PlugIns 4.33 以降の JPEG2000.dll にアップデートすることで、この脆弱性を解消することが可能です。

IrfanView PlugIns:
http://www.irfanview.com/main_download_engl.htm


6.ソースコード
(Web非公開)

(執筆:株式会社ラック サイバー脅威分析センター

※Web非公開該当コンテンツ閲覧をご希望の方はScan Tech Reportにご登録(有料)下さい。

Scan Tech Report
http://scan.netsecurity.ne.jp/archives/51916302.html
《吉澤 亨史》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

Scan BASIC 会員限定記事

もっと見る

Scan BASIC 会員限定記事特集をもっと見る

[Web小説] サイバー探偵 工藤伸治の事件簿サーガ (シーズン 1~6 第1話)

もっと見る

[Web小説] サイバー探偵 工藤伸治の事件簿サーガ (シーズン 1~6 第1話)特集をもっと見る

カテゴリ別新着記事

脆弱性と脅威 カテゴリの人気記事 MONTHLY ランキング

  1. Microsoft Windows OS において DLL Hijacking により UAC を回避する手法(Scan Tech Report)

    Microsoft Windows OS において DLL Hijacking により UAC を回避する手法(Scan Tech Report)

  2. ランサムウェア「Bad Rabbit」感染に注意喚起、水飲み場攻撃を実行か(IPA)

    ランサムウェア「Bad Rabbit」感染に注意喚起、水飲み場攻撃を実行か(IPA)

  3. 「GNU Wget」にリモートから任意のコードを実行される複数の脆弱性(JVN)

    「GNU Wget」にリモートから任意のコードを実行される複数の脆弱性(JVN)

  4. Savitech製USBオーディオドライバに、ルートCA証明書を導入される脆弱性(JVN)

  5. GNU wget に HTTP プロトコルのハンドリングにおける値検証不備に起因するバッファオーバーフローの脆弱性(Scan Tech Report)

  6. アップルがSafari、macOS、iOSなどのアップデートを公開、適用を呼びかけ(JVN)

  7. トレンドマイクロの管理マネージャに複数の脆弱性(JVN)

  8. 8以降のWindowsに、特定のメモリアドレスのコードを悪用される脆弱性(JVN)

  9. パケット解析ツール「Packetbeat」にDoS攻撃を受ける脆弱性(JVN)

  10. 脆弱性対策情報は前年同期比で倍以上、日頃からの情報収集を呼びかけ(IPA)

全カテゴリランキング

特集

★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★
<b>★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★</b>

経営課題としてサイバーセキュリティに取り組む情報システム部門や、研究・開発・経営企画に携わる方へ向けた、創刊19年のセキュリティ情報サービス Scan PREMIUM を、貴社の事業リスク低減のためにご活用ください。

×